Subject: Re: bug#884: /etc/logrotate.d/ulogd2: Questionable use of invoke-rc.d

From: Opty <[email-masked]>
Date: Wed, 2 Apr 2025 14:00:35 +0200

On Tue, Apr 1, 2025 at 6:44 PM Mark Hindley <[email-masked]> wrote:
> Possibly, but I am not sure. Certainly all the other /etc/logrotate.d examples I
> can find use invoke-rc.d. It may be to prevent rotation in chroots and the like
> when it would fail. Also, if you have prevented services from starting int he
> first place, there is no need to rotate the logs later. Why do you have
> policy-rcd-declarative-deny-all installed? What is your intention in doing that?

Please see #881 or should I copy the story here as well?

> However, I am sure that ulogd2 isn't forked in Devuan and so this should be
> reported directly to Debian's BTS if you really think there is an issue.

Now that Debian uses systemd by default I considered Devuan a better
place for System V style init stuff but I will think about reporting
to Debian BTS then.

Regards,
Opty